Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnBaseFilter Class Reference

`#include <gnBaseFilter.h>`

Inheritance diagram for gnBaseFilter:

List of all members.

## Public Member Functions
virtual gnBaseFilter * | Clone () const=0
virtual string | GetName () const
| Gets the name of this filter.
virtual void | SetName (string name)
| Sets the name of this filter.
virtual gnSeqC | Filter (const gnSeqC ch) const=0
| Filter the given character.
virtual void | Filter (gnSeqC **seq, uint32 &len) const=0
| Filter the given character array.
virtual void | Filter (string &seq) const=0
| Filters the given string.
## Protected Attributes
string | m_name

## Member Function Documentation

virtual gnBaseFilter* gnBaseFilter::Clone | ( |  | ) | const`[pure virtual]`

| Implements gnClone. Implemented in gnFastTranslator, gnFilter, gnPosSpecificTranslator, and gnTranslator.

virtual void gnBaseFilter::Filter | ( | string & | seq | ) | const`[pure virtual]`

  | Filters the given string. Parameters:
  seq | The string to filter
Implemented in gnFastTranslator, gnFilter, gnPosSpecificTranslator, and gnTranslator.

virtual void gnBaseFilter::Filter | ( | gnSeqC ** | seq,
|  | uint32 & | len
| ) | const`[pure virtual]`

  | Filter the given character array. Parameters:
  seq | A pointer to the character array
  len | the length of the character array to filter
Returns: The filtered character Implemented in gnFastTranslator, gnFilter, gnPosSpecificTranslator, and gnTranslator.

virtual gnSeqC gnBaseFilter::Filter | ( | const gnSeqC | ch | ) | const`[pure virtual]`

  | Filter the given character. Parameters:
  ch | The character to filter
Returns: The filtered character Implemented in gnFastTranslator, gnFilter, gnPosSpecificTranslator, and gnTranslator. Referenced by gnPosSpecificTranslator::Filter().

string gnBaseFilter::GetName | ( |  | ) | const`[inline, virtual]`

| Gets the name of this filter. Returns: the filter name Definition at line 65 of file gnBaseFilter.h. References m_name.

void gnBaseFilter::SetName | ( | string | name | ) | `[inline, virtual]`

  | Sets the name of this filter. Parameters:
  name | the new filter name
Definition at line 70 of file gnBaseFilter.h. References m_name. Referenced by gnFilter::CreateAlphabetCharacterFilter(), gnFilter::CreateBasicDNAFilter(), gnFilter::CreateBasicRNAFilter(), gnFilter::CreateDNAComplementFilter(), gnTranslator::CreateDNAProteinTranslator(), gnFilter::CreateDNAtoRNAFilter(), gnFilter::CreateFullDNAFilter(), gnFilter::CreateFullRNAFilter(), gnFilter::CreateNumberCharacterFilter(), gnTranslator::CreateProteinDNATranslator(), gnFilter::CreateProteinFilter(), gnTranslator::CreateProteinRNATranslator(), gnFilter::CreateRNAComplementFilter(), gnTranslator::CreateRNAProteinTranslator(), and gnFilter::CreateRNAtoDNAFilter().

## Member Data Documentation

string gnBaseFilter::m_name`[protected]`

| Definition at line 60 of file gnBaseFilter.h. Referenced by GetName(), gnFastTranslator::gnFastTranslator(), gnFilter::gnFilter(), gnPosSpecificTranslator::gnPosSpecificTranslator(), gnTranslator::gnTranslator(), and SetName().

The documentation for this class was generated from the following file:

- gnBaseFilter.h